### Method

# Ide Notifications add_notification

#### Declaration

    void
    ide_notifications_add_notification (
      IdeNotifications* self,
      IdeNotification* notification
    )

#### Description

Adds `notification` as a child of `self`, sorting it by priority and urgency.

Available since: | 3.32

#### Parameters

`notification` | `IdeNotification`
| An `IdeNotification`.
| The data is owned by the caller of the function.